package org.me.hornetq.test.mdb;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@MessageDriven(name = "HornetQMdb", activationConfig = {
		@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
		@ActivationConfigProperty(propertyName = "destination", propertyValue = "queue/testQueue"),
		@ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge") })
public class HornetQMdb implements MessageListener {

	private final static Logger logger = LoggerFactory
			.getLogger(HornetQMdb.class);

	@Override
	public void onMessage(Message messsage) {
		TextMessage msg = null;
		try {
			Thread.sleep(300);
			if (messsage instanceof TextMessage) {
				msg = (TextMessage) messsage;
				logger.info("Received message: " + msg.getText());
			} else {
				logger.warn("Message of wrong type: "
						+ messsage.getClass().getName());
			}
		} catch (Exception e) {
			logger.error("Internal error", e);
		}
	}

}
